org.apache.uima.json

## Enum JsonCasSerializer.JsonContextFormat

- java.lang.Object
- - java.lang.Enum<JsonCasSerializer.JsonContextFormat>
  - - org.apache.uima.json.JsonCasSerializer.JsonContextFormat

- All Implemented Interfaces:
    Serializable, Comparable<JsonCasSerializer.JsonContextFormat>
  Enclosing class:
    JsonCasSerializer

      public static enum JsonCasSerializer.JsonContextFormat
      extends Enum<JsonCasSerializer.JsonContextFormat>

  The serialization can optionally include context information in addition to the feature structures.

  This context information is specified, per used-type.

  It can be further subdivided into 3 parts:

  1. What their (used) subtypes are. This enables iterating over a type and all of its subtypes, e.g. an iterator over all "Annotations".
  2. whether or not to include the map from short type names to their fully qualified equivalents.
  3. Information to enable deserialization of some ambiguous values, depending on the range type of a feature

  Some of these may be omitted, if not wanted. This enum allows specifying what to omit.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `omitContext`
    `omitExpandedTypeNames`
    `omitSubtypes`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonCasSerializer.JsonContextFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JsonCasSerializer.JsonContextFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### omitContext

          public static final JsonCasSerializer.JsonContextFormat omitContext

    - #### omitSubtypes

          public static final JsonCasSerializer.JsonContextFormat omitSubtypes

    - #### omitExpandedTypeNames

          public static final JsonCasSerializer.JsonContextFormat omitExpandedTypeNames

  - ### Method Detail

    - #### values

          public static JsonCasSerializer.JsonContextFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonCasSerializer.JsonContextFormat c : JsonCasSerializer.JsonContextFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonCasSerializer.JsonContextFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.